Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type.basic
Class BeanType

    java.lang.Object
      org.codehaus.xfire.aegis.type.Type
          org.codehaus.xfire.aegis.type.basic.BeanType

All Implemented Interfaces:
  SchemaType

Direct Known Subclasses:
  AnnotatedType

    public class BeanType

extends Type

Serializes JavaBeans.

Author:
  Dan Diephouse

Constructor Summary
`BeanType()`
`BeanType(BeanTypeInfo info)`

Method Summary
`BeanTypeInfo` | `createTypeInfo()`
`java.util.Set` | `getDependencies()` Return a set of Type dependencies.
`BeanTypeInfo` | `getTypeInfo()`
`boolean` | `isComplex()` We need to write a complex type schema for Beans, so return true.
`java.lang.Object` | `readObject(MessageReader reader, MessageContext context)`
`protected java.lang.Object` | `readProperty(java.lang.Object object, javax.xml.namespace.QName name)`
`void` | `writeObject(java.lang.Object object, MessageWriter writer, MessageContext context)`
`protected void` | `writeProperty(javax.xml.namespace.QName name, java.lang.Object object, java.lang.Object property)` Write the specified property to a field.
`void` | `writeSchema(org.codehaus.yom.Element root)` Write the type schema (if complex) to the element.

Methods inherited from class org.codehaus.xfire.aegis.type.Type
`equals, getSchemaType, getTypeClass, getTypeMapping, hashCode, isAbstract, isNillable, setAbstract, setNillable, setSchemaType, setTypeClass, setTypeMapping`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanType

    public BeanType()

### BeanType

    public BeanType(BeanTypeInfo info)

Method Detail

### readObject

    public java.lang.Object readObject(MessageReader reader,
                                       MessageContext context)
                                throws XFireFault

  Specified by:
    `readObject` in class `Type`
  Throws:
    `XFireFault`

### writeProperty

    protected void writeProperty(javax.xml.namespace.QName name,
                                 java.lang.Object object,
                                 java.lang.Object property)
                          throws XFireFault

  Write the specified property to a field.

  Throws:
    `XFireFault`

### writeObject

    public void writeObject(java.lang.Object object,
                            MessageWriter writer,
                            MessageContext context)
                     throws XFireFault

  Specified by:
    `writeObject` in class `Type`
  Throws:
    `XFireFault`
  See Also:
    `org.codehaus.xfire.aegis.type.Type#writeObject(java.lang.Object)`

### readProperty

    protected java.lang.Object readProperty(java.lang.Object object,
                                            javax.xml.namespace.QName name)

### writeSchema

    public void writeSchema(org.codehaus.yom.Element root)

  Description copied from interface: `SchemaType`
  Write the type schema (if complex) to the element.

  Specified by:
    `writeSchema` in interface `SchemaType`
  Overrides:
    `writeSchema` in class `Type`
  See Also:
    `org.codehaus.xfire.aegis.type.Type#writeSchema()`

### isComplex

    public boolean isComplex()

  We need to write a complex type schema for Beans, so return true.

  Specified by:
    `isComplex` in interface `SchemaType`
  Overrides:
    `isComplex` in class `Type`
  Returns:
    True if a complex type schema must be written.
  See Also:
    `Type.isComplex()`

### getDependencies

    public java.util.Set getDependencies()

  Description copied from class: `Type`
  Return a set of Type dependencies. Returns null if this type has no dependencies.

  Specified by:
    `getDependencies` in interface `SchemaType`
  Overrides:
    `getDependencies` in class `Type`
  Returns:

### getTypeInfo

    public BeanTypeInfo getTypeInfo()

### createTypeInfo

    public BeanTypeInfo createTypeInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.